<html>
<head>
<title>Ogre::HardwareOcclusionQuery Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">HardwareOcclusionQuery</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::HardwareOcclusionQuery Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::HardwareOcclusionQuery" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>This is a abstract class that that provides the interface for the query class for hardware occlusion.  
 <a href="classOgre_1_1HardwareOcclusionQuery.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::HardwareOcclusionQuery:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1HardwareOcclusionQuery__inherit__graph.gif" border="0" usemap="#Ogre_1_1HardwareOcclusionQuery_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1HardwareOcclusionQuery_inherit__map" id="Ogre_1_1HardwareOcclusionQuery_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1D3D11HardwareOcclusionQuery.html" title="This is a class that is the DirectX9 implementation of hardware occlusion testing." alt="" coords="428,5,676,35"/><area shape="rect" id="node7" href="classOgre_1_1D3D9HardwareOcclusionQuery.html" title="This is a class that is the DirectX9 implementation of hardware occlusion testing." alt="" coords="432,59,672,88"/><area shape="rect" id="node9" href="classOgre_1_1GLES2HardwareOcclusionQuery.html" title="Ogre::GLES2HardwareOcclusionQuery" alt="" coords="428,112,676,141"/><area shape="rect" id="node11" href="classOgre_1_1GLHardwareOcclusionQuery.html" title="This is a class that is the base class of the query class for hardware occlusion." alt="" coords="440,165,664,195"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="7,85,121,115"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1HardwareOcclusionQuery-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a4d2546c8e312ca97b34e9563d2bfb0a3">HardwareOcclusionQuery</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Object public member functions.  <a href="#a4d2546c8e312ca97b34e9563d2bfb0a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a713fc5b2a2e0ab14843fc381f8d93f99">~HardwareOcclusionQuery</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Object destructor.  <a href="#a713fc5b2a2e0ab14843fc381f8d93f99"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a40efe70ae4a5877fadd5ef40b2e5fcf3">beginOcclusionQuery</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts the hardware occlusion query.  <a href="#a40efe70ae4a5877fadd5ef40b2e5fcf3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#aae324a11ce1f97199024d1ee38a297c2">endOcclusionQuery</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Ends the hardware occlusion test.  <a href="#aae324a11ce1f97199024d1ee38a297c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae30ceda53d771c5db266fdcfd14e6c9c">pullOcclusionQuery</a> (unsigned int *NumOfFragments)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pulls the hardware occlusion query.  <a href="#ae30ceda53d771c5db266fdcfd14e6c9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae90c7bb824d1fdffe1ea35549217a5c7">getLastQuerysPixelcount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Let's you get the last pixel count with out doing the hardware occlusion test.  <a href="#ae90c7bb824d1fdffe1ea35549217a5c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#abdc85b8e78de55492c8d2d730150e08d">isStillOutstanding</a> (void)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lets you know when query is done, or still be processed by the Hardware.  <a href="#abdc85b8e78de55492c8d2d730150e08d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ad9ae2ba4b9c5f443a8bb423ddeb6121b">mPixelCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a320c1bab88bacc137b8d939a1785da7b">mIsQueryResultStillOutstanding</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a abstract class that that provides the interface for the query class for hardware occlusion. </p>
<dl class="author"><dt><b>Author:</b></dt><dd>Lee Sandberg Updated on 13/8/2005 by Tuan Kuranes email: <a href="mailto:tuan.kuranes@free.fr">tuan.kuranes@free.fr</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html#l00051">51</a> of file <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4d2546c8e312ca97b34e9563d2bfb0a3"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::HardwareOcclusionQuery" ref="a4d2546c8e312ca97b34e9563d2bfb0a3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a4d2546c8e312ca97b34e9563d2bfb0a3">Ogre::HardwareOcclusionQuery::HardwareOcclusionQuery</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Object public member functions. </p>
<p>Default object constructor </p>

</div>
</div>
<a class="anchor" id="a713fc5b2a2e0ab14843fc381f8d93f99"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::~HardwareOcclusionQuery" ref="a713fc5b2a2e0ab14843fc381f8d93f99" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a713fc5b2a2e0ab14843fc381f8d93f99">Ogre::HardwareOcclusionQuery::~HardwareOcclusionQuery</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Object destructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a40efe70ae4a5877fadd5ef40b2e5fcf3"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::beginOcclusionQuery" ref="a40efe70ae4a5877fadd5ef40b2e5fcf3" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a40efe70ae4a5877fadd5ef40b2e5fcf3">Ogre::HardwareOcclusionQuery::beginOcclusionQuery</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Starts the hardware occlusion query. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Simple usage: Create one or more OcclusionQuery object one per outstanding query or one per tested object OcclusionQuery* mOcclusionQuery; createOcclusionQuery( &amp;mOcclusionQuery ); In the rendering loop: Draw all occluders mOcclusionQuery-&gt;startOcclusionQuery(); Draw the polygons to be tested mOcclusionQuery-&gt;<a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#aae324a11ce1f97199024d1ee38a297c2" title="Ends the hardware occlusion test.">endOcclusionQuery()</a>;</dd></dl>
<p>Results must be pulled using: UINT mNumberOfPixelsVisable; pullOcclusionQuery( &amp;mNumberOfPixelsVisable ); </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLHardwareOcclusionQuery.html#a1d01d00267ce1dbe9449046fd85185d2">Ogre::GLHardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#acea9a09b582738af4f7497b79181ab71">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D11HardwareOcclusionQuery.html#a25eadd4b2ad1c9c04c4827ee98b52aa2">Ogre::D3D11HardwareOcclusionQuery</a>, and <a class="el" href="classOgre_1_1GLES2HardwareOcclusionQuery.html#a82834457995eab4ee174ebf118fa1389">Ogre::GLES2HardwareOcclusionQuery</a>.</p>

</div>
</div>
<a class="anchor" id="aae324a11ce1f97199024d1ee38a297c2"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::endOcclusionQuery" ref="aae324a11ce1f97199024d1ee38a297c2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#aae324a11ce1f97199024d1ee38a297c2">Ogre::HardwareOcclusionQuery::endOcclusionQuery</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Ends the hardware occlusion test. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLHardwareOcclusionQuery.html#a0aeaf749da96c42502af8a200bc13aef">Ogre::GLHardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#aab645a1644bc652b7843d9b6459a7dbb">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D11HardwareOcclusionQuery.html#a058005d6ae302bf8fe312cbfe31c3aae">Ogre::D3D11HardwareOcclusionQuery</a>, and <a class="el" href="classOgre_1_1GLES2HardwareOcclusionQuery.html#af54bffd83e8dbd618fcd3e2fe8df11a3">Ogre::GLES2HardwareOcclusionQuery</a>.</p>

</div>
</div>
<a class="anchor" id="ae90c7bb824d1fdffe1ea35549217a5c7"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::getLastQuerysPixelcount" ref="ae90c7bb824d1fdffe1ea35549217a5c7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae90c7bb824d1fdffe1ea35549217a5c7">Ogre::HardwareOcclusionQuery::getLastQuerysPixelcount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Let's you get the last pixel count with out doing the hardware occlusion test. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The last fragment count from the last test. Remarks This function won't give you new values, just the old value. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html#l00109">109</a> of file <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="abdc85b8e78de55492c8d2d730150e08d"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::isStillOutstanding" ref="abdc85b8e78de55492c8d2d730150e08d" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#abdc85b8e78de55492c8d2d730150e08d">Ogre::HardwareOcclusionQuery::isStillOutstanding</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lets you know when query is done, or still be processed by the Hardware. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if query isn't finished. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1GLHardwareOcclusionQuery.html#a6244f76065b871080796450633011c37">Ogre::GLHardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#ae49db96481f5d845767dcfcc7b076d20">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D11HardwareOcclusionQuery.html#a1d5f33f82af884851ab3e29b7c5cca0c">Ogre::D3D11HardwareOcclusionQuery</a>, and <a class="el" href="classOgre_1_1GLES2HardwareOcclusionQuery.html#a67fc3b20958ad8a2e49ed27a48bcd763">Ogre::GLES2HardwareOcclusionQuery</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae30ceda53d771c5db266fdcfd14e6c9c"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::pullOcclusionQuery" ref="ae30ceda53d771c5db266fdcfd14e6c9c" args="(unsigned int *NumOfFragments)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae30ceda53d771c5db266fdcfd14e6c9c">Ogre::HardwareOcclusionQuery::pullOcclusionQuery</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int *&#160;</td>
          <td class="paramname"><em>NumOfFragments</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pulls the hardware occlusion query. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Waits until the query result is available; use isStillOutstanding if just want to test if the result is available. </dd></dl>
<dl class="retval"><dt><b>Return values:</b></dt><dd>
  <table class="retval">
    <tr><td class="paramname">NumOfFragments</td><td>will get the resulting number of fragments. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True if success or false if not. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1GLHardwareOcclusionQuery.html#ae1ecdc18b06e9cc981b001f1bb184458">Ogre::GLHardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a46f3aaeae35802f03beaa0979ce71699">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D11HardwareOcclusionQuery.html#a21e4304da998fbaa791d9b343b03f294">Ogre::D3D11HardwareOcclusionQuery</a>, and <a class="el" href="classOgre_1_1GLES2HardwareOcclusionQuery.html#a54246fdc493f06d649c5a7076a842c0b">Ogre::GLES2HardwareOcclusionQuery</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a320c1bab88bacc137b8d939a1785da7b"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::mIsQueryResultStillOutstanding" ref="a320c1bab88bacc137b8d939a1785da7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a320c1bab88bacc137b8d939a1785da7b">Ogre::HardwareOcclusionQuery::mIsQueryResultStillOutstanding</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html#l00125">125</a> of file <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad9ae2ba4b9c5f443a8bb423ddeb6121b"></a><!-- doxytag: member="Ogre::HardwareOcclusionQuery::mPixelCount" ref="ad9ae2ba4b9c5f443a8bb423ddeb6121b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ad9ae2ba4b9c5f443a8bb423ddeb6121b">Ogre::HardwareOcclusionQuery::mPixelCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html#l00123">123</a> of file <a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11HardwareOcclusionQuery_8h_source.html#l00078">Ogre::D3D11HardwareOcclusionQuery::getLastQuerysPixelcount()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:57
</p>
</body>
</html>
